#!/bin/sh

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
	;;
	--name)
	#Print package name
	echo "Dhcp server topology change script"
	;;
	--pkg-ver)
	#Print package version
	echo "1.0";
	;;
	--vendor)
	#Print package vendor
	echo "Synology";
	;;
	--pre)
	;;
	--post)
	old_context=$(jq -r '.old.context' "${ARGS_FILE_PATH}")
	new_context=$(jq -r '.new.context' "${ARGS_FILE_PATH}")

	if [ "${old_context}" != "${new_context}" ]; then
		if [ "${old_context}" = "repeater" ]; then
			/usr/syno/sbin/synodhcpserver --enable
		elif [ "${new_context}" = "repeater" ]; then
			/usr/syno/sbin/synodhcpserver --disable
		else
			/usr/syno/sbin/synodhcpserver --reload
		fi
	else
		/usr/syno/sbin/synodhcpserver --reload
	fi
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

